### File

`packages/ecl/components/ecl-blockquote/ecl-blockquote.component.ts`

### Description

Blockquote component based on the ECL design system. Displays quoted text with an optional author. Supports language awareness through the I18n service.

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `[eclBlockquote]`
imports | `CommonModule`
templateUrl | `./ecl-blockquote.component.html`

### Index

###### Properties
languageCode
###### Methods
getCssClasses
###### Inputs
author class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses hasAuthor

### Inputs

author
Type : `string`
Author name associated with the quoted content. If provided, it will be displayed below the blockquote.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the CSS classes for the blockquote element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

languageCode
Type : `string`
Default value : `'en'`
Current active language code, retrieved from the I18n service.

### Accessors

cssClasses
get `cssClasses()`
Applies the CSS classes for the blockquote element. Returns : `string`

hasAuthor
get `hasAuthor()`
Checks if an author is provided. Returns : `boolean`

# results matching ""

# No results matching ""